> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Calculate billing



## OpenAPI

````yaml en/openapi/v3-current/ledger.yaml post /v1/organizations/{organization_id}/billing/calculate
openapi: 3.1.0
info:
  title: Midaz Ledger API
  description: >-
    Complete API reference for Midaz Ledger services including organization
    management, ledger operations, assets, segments, portfolios, accounts,
    account types, transactions, operations, balances, operation routes,
    transaction routes, and metadata indexes.
  version: 3.7.8
servers:
  - url: https://ledger.sandbox.lerian.net
security: []
tags:
  - name: Organizations API
  - name: Ledgers API
  - name: Assets API
  - name: Segments API
  - name: Portfolios API
  - name: Account Types API
  - name: Accounts API
  - name: Balances API
  - name: Transactions API
  - name: Operations API
  - name: Operation Routes API
  - name: Transaction Routes API
  - name: Metadata Indexes API
  - name: Holders API
  - name: Instruments API
  - name: Billing Packages API
  - name: Packages API
  - name: Billing Calculation API
  - name: Estimation API
  - name: Encryption API
  - name: Protection API
  - name: Asset Rates API
paths:
  /v1/organizations/{organization_id}/billing/calculate:
    post:
      tags:
        - Billing Calculation API
      summary: Calculate billing
      parameters:
        - $ref: '#/components/parameters/OrganizationId'
        - $ref: '#/components/parameters/ContentType'
        - $ref: '#/components/parameters/XRequestId'
        - $ref: '#/components/parameters/Authorization'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FeeBillingCalculateResponse'
        default:
          description: Error
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  parameters:
    OrganizationId:
      name: organization_id
      in: path
      description: The unique identifier of the Organization associated with the Ledger.
      required: true
      example: 019c96a0-0a98-7287-9a31-786e0809c769
      schema:
        type: string
        format: uuid
    ContentType:
      name: Content-Type
      in: header
      description: >-
        The type of media of the resource. Recommended value is
        `application/json`.
      required: false
      example: application/json
      schema:
        type: string
    XRequestId:
      name: X-Request-Id
      in: header
      description: A unique identifier used to trace and track each request.
      required: false
      example: 019c96a0-0a98-7287-9a31-786e0809c769
      schema:
        type: string
        format: uuid
    Authorization:
      name: Authorization
      in: header
      required: false
      schema:
        type: string
      description: >
        Bearer JWT token for authentication.

        Required when `PLUGIN_AUTH_ENABLED=true` (enforced in multi-tenant
        deployments).

        Optional in default OSS single-tenant mode.

        Format: `Bearer <token>`
  schemas:
    FeeBillingCalculateResponse:
      additionalProperties: false
      properties:
        results:
          items:
            $ref: '#/components/schemas/FeeBillingCalculationResult'
          type:
            - array
            - 'null'
        summary:
          $ref: '#/components/schemas/FeeBillingCalculateSummary'
      required:
        - results
        - summary
      type: object
    Error:
      additionalProperties: false
      properties:
        code:
          description: >-
            Stable, machine-readable domain error code scoped to the emitting
            service (format: <SERVICE>-NNNN).
          examples:
            - ERR-0001
          type: string
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          examples:
            - Property foo is required but is missing.
          type: string
        errors:
          description: Optional list of individual error details
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type:
            - array
            - 'null'
        instance:
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          examples:
            - https://example.com/error-log/abc123
          format: uri
          type: string
        status:
          description: HTTP status code
          examples:
            - 400
          format: int64
          type: integer
        title:
          description: >-
            A short, human-readable summary of the problem type. This value
            should not change between occurrences of the error.
          examples:
            - Bad Request
          type: string
        type:
          default: about:blank
          description: A URI reference to human-readable documentation for the error.
          examples:
            - https://example.com/errors/example
          format: uri
          type: string
      type: object
    FeeBillingCalculationResult:
      additionalProperties: false
      properties:
        billingPackageId:
          examples:
            - 00000000-0000-0000-0000-000000000000
          type: string
        billingPackageLabel:
          examples:
            - Monthly Volume Billing
          type: string
        billingType:
          examples:
            - volume
          type: string
        period:
          examples:
            - 2026-01
          type: string
        totalAccounts:
          examples:
            - 500
          format: int64
          type: integer
        totalCharged:
          examples:
            - 480
          format: int64
          type: integer
        totalNetAmount:
          examples:
            - '123.45'
          type: string
        totalSkipped:
          examples:
            - 20
          format: int64
          type: integer
        transactionPayload: {}
      required:
        - billingPackageId
        - billingPackageLabel
        - billingType
        - period
        - totalAccounts
        - totalCharged
        - totalSkipped
        - totalNetAmount
        - transactionPayload
      type: object
    FeeBillingCalculateSummary:
      additionalProperties: false
      properties:
        totalMaintenance:
          examples:
            - 3
          format: int64
          type: integer
        totalNetAmount:
          examples:
            - '456.78'
          type: string
        totalResults:
          examples:
            - 10
          format: int64
          type: integer
        totalVolume:
          examples:
            - 7
          format: int64
          type: integer
      required:
        - totalResults
        - totalVolume
        - totalMaintenance
        - totalNetAmount
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object

````